Bug 62178 - up2date broke itself after updating python-popt and rpm packages
up2date broke itself after updating python-popt and rpm packages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-28 00:52 EST by Need Real Name
Modified: 2015-01-07 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-09 00:22:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-28 00:52:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
On two 7.1 boxes I've used up2date to upgrade some outdated packages and it's 
caused up2date and rhn_check and all the RHN related stuff to break.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. use up2date to upgrade packaging system/RHN/Python related packages.
2.
3.
	

Additional info:

Here's a full listing of what happened today:

[root@palm /root]# up2date python-popt rpm

Retrieving list of all available packages...

Removing installed packages from list of updates...
########################################

Removing packages with files not specified from list...

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Testing package set / solving RPM inter-dependencies...
There was a package dependency problem.  The message was:
Unresolvable chain of dependencies: rpm-python-4.0.2-8 requires librpmio.so.0.
[root@palm /root]# up2date rpm-python rpm

Retrieving list of all available packages...

Removing installed packages from list of updates...
########################################

Removing packages with files not specified from list...

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
The following packages were added to your selection to satify dependencies:

Name                                    Version        Release
--------------------------------------------------------------
popt                                    1.6.4          7x


Retrieving selected packages...
rpm:                        ########################## Done.
rpm-python:                 ########################## Done.
popt:                       ########################## Done.
Preparing...                ########################################### [100%]
   1:popt                   ########################################### [ 33%]
warning: /var/lib/rpm/Basenames created as /var/lib/rpm/Basenames.rpmnew
warning: /var/lib/rpm/Conflictname created as /var/lib/rpm/Conflictname.rpmnew
warning: /var/lib/rpm/Group created as /var/lib/rpm/Group.rpmnew
warning: /var/lib/rpm/Name created as /var/lib/rpm/Name.rpmnew
warning: /var/lib/rpm/Packages created as /var/lib/rpm/Packages.rpmnew
warning: /var/lib/rpm/Providename created as /var/lib/rpm/Providename.rpmnew
warning: /var/lib/rpm/Requirename created as /var/lib/rpm/Requirename.rpmnew
warning: /var/lib/rpm/Triggername created as /var/lib/rpm/Triggername.rpmnew
   2:rpm                    ########################################### [ 66%]
   3:rpm-python             ########################################### [100%]
[root@palm /root]# rhn_check
Traceback (innermost last):
  File "/usr/sbin/rhn_check", line 17, in ?
    import rpm
ImportError: /lib/librt.so.1: symbol __pthread_clock_settime, version 
GLIBC_2.2.3 not defined in file libpthread.so.0 with link time reference
[root@palm /root]# up2date libstdc++
Traceback (innermost last):
  File "/usr/sbin/up2date", line 9, in ?
    import rpm
ImportError: /lib/librt.so.1: symbol __pthread_clock_settime, version 
GLIBC_2.2.3 not defined in file libpthread.so.0 with link time reference
Comment 1 Adrian Likins 2002-05-08 16:46:00 EDT
That looks to be an glibc issue. 

Can you try updating glibc by hand to the latest version?
Comment 2 Need Real Name 2002-05-09 00:22:15 EDT
Unfortunately I'm no longer in a position to be able to test this.

Note You need to log in before you can comment on or make changes to this bug.